Assign courses to an assignment.
Options:
Requires admin role.
cURL
curl --request POST \ --url https://api.example.com/api/v1/learn/assignments/{assignment_id}/courses \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data ' { "courseIds": [ "3c90c3cc-0d44-4b50-8888-8dd25736052a" ], "curriculumId": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "dueDate": "2023-12-25" } '
{ "assignmentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "courses": [ { "courseId": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "title": "<string>", "assignedAt": "2023-11-07T05:31:56Z", "curriculumId": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "curriculumTitle": "<string>", "dueDate": "2023-12-25" } ] }
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Bearer <token>
<token>
Request to assign courses to an assignment.
Successful Response
Response for listing courses assigned to an assignment.
Show child attributes
Was this page helpful?